# Market

## All Market Orders

<mark style="color:green;">`GET`</mark> `/market_orders_all`

Get all orders in marketplace of specific token.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

| Name   | Type   | Description     |
| ------ | ------ | --------------- |
| `tick` | string | Ticker of token |
| `page` | number | page number     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "amount": "200000",
            "blocknumber": 12143562,
            "buyer": "0x67e26fe909add533af60bc1d9616fe871f4db553",
            "from": "0x3547937662a3aee3695851b65f1e69ffb0fd9448",
            "order_id": "0x4509e14e6bac9106a06bc09a7a655d4f8dd8af9409cdcb876ed486b2b662370d",
            "order_status": "close",
            "order_type": "token",
            "tick": "test1",
            "timestamp": 1709730643,
            "to": "0xa8ab79a4172713e2d77e31ad9594c72483299bfe",
            "total_price": "7200000000000000000",
            "tx": "0x0d7fb58d48f7847ab1c2064e0d24770c349ca7359139f1d7bd7e05ad4e8cd2bd",
            "tx_close": "0x86442bfc4577f211d070140bd50e09d5e73db801a594f5473fc20f3b75210a70",
            "tx_setprice": "0x7f919e74476a8538e2a260b539374ae9fd75b9ba0eb8346685d08694cfbb9638",
            "unit_price": "36000000000000"
        },
        ...
    ],
    "error_code": 0
}
```

{% endtab %}
{% endtabs %}

**Response Data Field**

| Field          | Description           | Type                                          |
| -------------- | --------------------- | --------------------------------------------- |
| `amount`       | token amount of order | number                                        |
| `blocknumber`  | blocknumber of order  | number                                        |
| `buyer`        | buyer address         | string                                        |
| `from`         | list from address     | string                                        |
| `order_id`     | order id              | string                                        |
| `order_status` | order status          | string, values:\<init, open, close, canceled> |
| `order_type`   | order type            | string, values:\<token, nft>                  |
| `tick`         | tick of token         | string                                        |
| `timestamp`    | timestamp of order    | number                                        |
| `to`           | marketplace address   | string                                        |
| `total_price`  | price of order        | number                                        |
| `tx`           | list tx               | string                                        |
| `tx_close`     | close tx              | string                                        |
| `tx_setprice`  | set price tx          | string                                        |
| `unit_price`   | unit price of token   | number                                        |

## Market Orders List

<mark style="color:green;">`GET`</mark> `/market_orders_list`

Get listing orders in marketplace.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

| Name         | Type   | Description     |
| ------------ | ------ | --------------- |
| `order_type` | string | token / nft     |
| `tick`       | string | ticker of token |
| `page`       | number | page number     |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "amount": "298000",
            "blocknumber": 12141041,
            "from": "0xa9c7031eecddc516aedfec474c4f5f31e45670e9",
            "order_id": "0xa16b0b5668750a6337427328afab3faa23192f0603cb757107b1a595d5651e48",
            "order_status": "open",
            "order_type": "token",
            "tick": "test1",
            "timestamp": 1709723080,
            "to": "0xa8ab79a4172713e2d77e31ad9594c72483299bfe",
            "total_price": "548320000000000000",
            "tx": "0x7699d750e0cae5f91ac87898c1c21d9a00adb61faff1977668d3cba1645d1498",
            "tx_setprice": "0xbe18925730a749b0b63c830caaa8697f1cb46c64da315e06439c44e7807dd5cc",
            "unit_price": "1840000000000"
        },
        ...
    ],
    "error_code": 0
}
```

{% endtab %}
{% endtabs %}

## Market Orders

<mark style="color:green;">`GET`</mark> `/market_orders`

Get orders list by specific address.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

| Name           | Type   | Description    |
| -------------- | ------ | -------------- |
| `address`      | string | wallet address |
| `order_status` | string | open / close   |
| `page`         | number | page number    |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "data": [
        {
            "amount": "298000",
            "blocknumber": 12141041,
            "from": "0xa9c7031eecddc516aedfec474c4f5f31e45670e9",
            "order_id": "0xa16b0b5668750a6337427328afab3faa23192f0603cb757107b1a595d5651e48",
            "order_status": "open",
            "order_type": "token",
            "tick": "test1",
            "timestamp": 1709723080,
            "to": "0xa8ab79a4172713e2d77e31ad9594c72483299bfe",
            "total_price": "548320000000000000",
            "tx": "0x7699d750e0cae5f91ac87898c1c21d9a00adb61faff1977668d3cba1645d1498",
            "tx_setprice": "0xbe18925730a749b0b63c830caaa8697f1cb46c64da315e06439c44e7807dd5cc",
            "unit_price": "1840000000000"
        },
        ...
    ],
    "error_code": 0
}
```

{% endtab %}
{% endtabs %}

## Market Order

<mark style="color:green;">`GET`</mark> `/market_order`

Get detail of specific order in marketplace.

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Request**

| Name       | Type   | Description                |
| ---------- | ------ | -------------------------- |
| `order_id` | string | id of order in marketplace |

**Response**

{% tabs %}
{% tab title="200" %}

````json
```json
{
    "data": {
        "amount": "298000",
        "blocknumber": 12141041,
        "from": "0xa9c7031eecddc516aedfec474c4f5f31e45670e9",
        "order_id": "0xa16b0b5668750a6337427328afab3faa23192f0603cb757107b1a595d5651e48",
        "order_status": "open",
        "order_type": "token",
        "tick": "test1",
        "timestamp": 1709723080,
        "to": "0xa8ab79a4172713e2d77e31ad9594c72483299bfe",
        "total_price": "548320000000000000",
        "tx": "0x7699d750e0cae5f91ac87898c1c21d9a00adb61faff1977668d3cba1645d1498",
        "tx_setprice": "0xbe18925730a749b0b63c830caaa8697f1cb46c64da315e06439c44e7807dd5cc",
        "unit_price": "1840000000000"
    },
    "error_code": 0
}
```
````

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://insdexer.gitbook.io/insdexer/reference/api-reference/market.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
